#language: ru

@cost_price

Функционал: 09_cost_price.01.006 Заполнение справочника Соглашения с контрагентами

Сценарий: 09_cost_price.01.006 Создание соглашения с поставщиком 1
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Соглашения с контрагентами'
	Тогда открылось окно 'Соглашения с контрагентами'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Соглашение с контрагентом (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'Действует'
	И в поле 'Наименование' я ввожу текст 'Поставщик 1'
	И я нажимаю кнопку выбора у поля "Контрагент"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Поставщик 1'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Соглашение с контрагентом (создание) *'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Соглашение с контрагентом (создание) *'
	И из выпадающего списка "Вид соглашения" я выбираю точное значение 'С поставщиком'
	И я перехожу к закладке "Ценовые условия"
	И из выпадающего списка "Валюта" я выбираю точное значение 'RUB'
	И я нажимаю кнопку выбора у поля "Вид цен"
	Тогда открылось окно 'Виды цен'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Поставщик 1'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Соглашение с контрагентом (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Соглашение с контрагентом (создание) *' в течение 20 секунд
	Тогда открылось окно 'Соглашения с контрагентами'
	И Я закрываю окно 'Соглашения с контрагентами'

Сценарий: 09_cost_price.01.006 Создание соглашения с поставщиком 2
	И В командном интерфейсе я выбираю 'Производство' 'Соглашения с контрагентами'
	Тогда открылось окно 'Соглашения с контрагентами'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Соглашение с контрагентом (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'Действует'
	И в поле 'Наименование' я ввожу текст 'Поставщик 2'
	И я нажимаю кнопку выбора у поля "Контрагент"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Поставщик2'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Соглашение с контрагентом (создание) *'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Соглашение с контрагентом (создание) *'
	И из выпадающего списка "Вид соглашения" я выбираю точное значение 'С поставщиком'
	И я перехожу к закладке "Ценовые условия"
	И из выпадающего списка "Валюта" я выбираю точное значение 'RUB'
	И я нажимаю кнопку выбора у поля "Вид цен"
	Тогда открылось окно 'Виды цен'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Поставщик 2'|
	Тогда открылось окно 'Виды цен'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Соглашение с контрагентом (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Соглашение с контрагентом (создание) *' в течение 20 секунд
	Тогда открылось окно 'Соглашения с контрагентами'
	И Я закрываю окно 'Соглашения с контрагентами'